Subject: [alpine-devel] [PATCH] new aport: rawtherapee

From: ScrumpyJack <[email-masked]>
Date: Wed, 20 May 2015 16:42:25 +0000 (UTC)

RawTherapee is image processing software simular to Lightroom or Aperture
---
 testing/rawtherapee/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/rawtherapee/APKBUILD

diff --git a/testing/rawtherapee/APKBUILD b/testing/rawtherapee/APKBUILD
new file mode 100644
index 0000000..9607203
--- /dev/null
+++ b/testing/rawtherapee/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: ScrumpyJack <[email-masked]>
+# Maintainer:
+pkgname=rawtherapee
+pkgver=4.2
+pkgrel=0
+pkgdesc="RawTherapee is image processing software simular to Lightroom or Aperture"
+url="http://rawtherapee.com"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="bzip2-dev exiv2-dev expat-dev fftw-dev glib-dev gtk+2.0-dev \
+             gtk-engines-dev libjpeg gtkmm-dev lcms2-dev libcanberra-dev \
+             libpng-dev libsigc++-dev tiff-dev zlib-dev cmake mercurial \
+             libiptcdata-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://rawtherapee.com/shared/source/${pkgname}-${pkgver}.tar.xz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        cmake -DCMAKE_INSTALL_PREFIX=/usr || return 1
+        make
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR="$pkgdir" install
+}
+
+md5sums="e6510ed56fdc35aa712b4c0f54c52ac0  rawtherapee-4.2.tar.xz"
+sha256sums="fa4c13e8842df096b19d2dabaed5a61f5f9d4547f7b4f0dc6b77f80bdec16479  rawtherapee-4.2.tar.xz"
+sha512sums="feec61aeb84804cf01ff03fa9d7309f0eb3c04c43818c8397cc6f3ee762aca19484bce7594414d2141248b9740bdd4269fd86f76dcf391c61d4647fa169d48f6  rawtherapee-4.2.tar.xz"
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---